## libmm-qt 0.5.0

=== debian/changelog ===
libmm-qt (0.5.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1223713)
  * Update description of packages.
  * Bump debhelper version to 9.
  * Add a new binary libnetworkmanagerqt-dbg debugging package.
  * Update symbols.
  * Add debian/watch file.
  * Fixed a lintian warning of duplicating sections in debian/control.

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 10 Sep 2013 19:17:14 +0800

libmm-qt (0.0~git20130816-0ubuntu1) saucy; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Aug 2013 17:05:26 +0100
