=== debian/control ===
Source: libmm-qt
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 9), cmake, libqt4-dev, pkg-config
Standards-Version: 3.9.4
Section: libs
Homepage: https://projects.kde.org/projects/extragear/libs/libmm-qt

Package: libmodemmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libmodemmanagerqt0 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for ModemManager DBus API -- development files
 Qt-only wrapper for ModemManager DBus API.
 .
 This package provides the development files.

Package: libmodemmanagerqt0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt wrapper for ModemManager DBus API
 Qt-only wrapper for ModemManager DBus API.

Package: libmodemmanagerqt-dbg
Section: debug
Architecture: any
Depends: libmodemmanagerqt0 (=${binary:Version}), ${misc:Depends}
Description: Qt wrapper for ModemManager DBus API -- debugging symbols
 Qt-only wrapper for ModemManager DBus API.
 .
 This package provides the debugging symbols.
