## libmm-qt 0.5.1

=== debian/changelog ===
libmm-qt (0.5.1-1) unstable; urgency=low

  * Initial release. (Closes: #729959)
  * New patch: libdir.diff, honour LIB_DESTINATION.
  * Update symbols for s390x.
  * Update symbols for armhf.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 19 Nov 2013 20:36:54 +0100
