## libmm-qt 1.0.1

=== debian/changelog ===
libmm-qt (1.0.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 28 Mar 2014 11:09:13 +0100

libmm-qt (1.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Change package priority.
  * Remove patch: libdir.diff, applied upstream
  * Import ubuntu patch to bump soversion.
  * Import ubuntu symbols file.
  * Bump library package soversion.
  * Aesthetic change, further reduce rules file.
  * New patch: do_not_override_cflags
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 28 Mar 2014 11:08:50 +0100
