=== debian/control ===
Source: libmm-qt
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               libqt4-dev,
               modemmanager-dev (>= 0.8),
               pkg-config
Standards-Version: 3.9.5
Section: libs
Homepage: https://projects.kde.org/projects/extragear/libs/libmm-qt
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/libmm-qt.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libmm-qt.git

Package: libmodemmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libmodemmanagerqt1 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for ModemManager DBus API -- development files
 Qt-only wrapper for ModemManager DBus API.
 .
 This package provides the development files.

Package: libmodemmanagerqt1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt wrapper for ModemManager DBus API
 Qt-only wrapper for ModemManager DBus API.

Package: libmodemmanagerqt-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libmodemmanagerqt1 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for ModemManager DBus API -- debugging symbols
 Qt-only wrapper for ModemManager DBus API.
 .
 This package provides the debugging symbols.
