=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/unstable/modemmanager-qt/([\d\.]*)/src/libmm-qt-([\d\.]*).tar.xz
