=== debian/control ===
Source: libmm-qt
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0~),
               libkf5networkmanagerqt-dev,
               modemmanager-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.5
Section: libs
Homepage: https://projects.kde.org/projects/kde/workspace/libmm-qt
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/libmm-qt.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/libmm-qt.git

Package: libkf5modemmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libkf5modemmanagerqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt wrapper for ModemManager - devel files.
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of KDE Plasma.
 .
 This package contains the development files

Package: libkf5modemmanagerqt5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt wrapper library for ModemManager
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of the KDE Plasma.

Package: libkf5modemmanagerqt5-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: libkf5modemmanagerqt5 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for networkmanager - debug files
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the debugging symbols.
